#### D.12.4.9 prodcrit

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  prodcrit(f,g[,o]); f,g poly or vector, and optional int argument o

Return:
  1 if product criterion applies in the same module component, 2 if lead(f) and lead(g) involve different components, 0 else

Note:
  if product criterion applies we can delete (f,g) from pairset. This procedure returns 0 if o is given and is a positive integer, or you may set the attribute "default_arg" for prodcrit to 1.

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),dp;
    poly f = y3z3+x5+yx3+z6;
    poly g = x5+yx3;
    prodcrit(f,g);
    ==> 1
    vector v = x3z2*gen(1)+x3y*gen(1)+x2y*gen(2);
    vector w = y4*gen(1)+y3*gen(2)+xyz*gen(1);
    prodcrit(v,w);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.